const fse = require('fs-extra');
const path = require('path');

const EVENT = process.env.npm_lifecycle_event || '';
const DEV = EVENT.includes('dev');

function getReplacements() {
  return {
    __DARWIN__: process.platform === 'darwin',
    __WIN32__: process.platform === 'win32',
    __LINUX__: process.platform === 'linux',
    __DEV__: DEV,
    'process.env.TEST_ENV': JSON.stringify(process.env.TEST_ENV)
  };
}

exports.getReplacements = getReplacements;
