export type CrashType = 'launch' | 'generic';

export interface ICrashDetails {
  /**
   * Whether this error was thrown before we were able to launch
   * the main renderer process or not. See the documentation for
   * the ErrorType type for more details.
   */
  readonly location: CrashType;

  /**
   * The error that caused us to spawn the crash process.
   */
  readonly error: Error;
}
